---
layout: lesson
root: .
---

Databases are useful for both storing and using data effectively. Using a relational database serves several purposes.

- It keeps your data separate from your analysis. This means there’s no risk of accidentally changing data when you analyze it.
- If we get new data we can rerun a query to find all the data that meets certain criteria.
- It’s fast, even for large amounts of data.
- It improves quality control of data entry (type constraints and use of forms in Access, Filemaker, etc.)
- The concepts of relational database querying are core to understanding how to do similar things using programming languages such as R or Python.

This lesson will teach you what relational databases are, how you can load data
into them and how you can query databases to extract just the information that you need.


> ## Getting Started
>
> Data Carpentry's teaching is hands-on, so participants are encouraged to use
> their own computers to insure the proper setup of tools for an efficient 
> workflow. <br>**These lessons assume no prior knowledge of the skills or tools.**
>
> To get started, follow the directions in the "[Setup](setup.html)" tab to 
> download data to your computer and follow any installation instructions.
>
> #### Prerequisites
>
> This lesson requires:
> -  Working copy of **DB Browser for SQLite for SQL**
> -  A dataset
> 
> Follow the directions in the **Setup** tab to download both the DB Browser for SQLite and the data to your computer and follow any installation instructions.
> 
> Please make sure to install everything *before* working through this lesson.
{: .prereq}

> ## For Instructors
> If you are teaching this lesson in a workshop, please see the 
> [Instructor notes](guide/).
{: .prereq}

