---
layout: page
title: Setup
---

> ## Data
> This lesson uses specific data files from the [Portal Project Teaching Database](https://figshare.com/articles/Portal_Project_Teaching_Database/1314459). To 
> get the data, go to the [data location on figshare](https://figshare.com/articles/Portal_Project_Teaching_Database/1314459) and click on the **Download all** button to download the zip file. 
> 
> If you are working on this lesson on your own, you can move the zipped data file to 
> anywhere on your computer where it is easy to access, and unzip the files. If you 
> are working on this lesson as part of a workshop, your instructor may advise you 
> to unzip the data files in a specific location. 
> 
> See the 
> [Ecology Workshop Overview Page](https://datacarpentry.org/ecology-workshop/) for more details about the data set. 
> 
{: .prereq}


> ## Software
> 
> Download **DB Browser for SQLite** for your operating system 
> from [https://sqlitebrowser.org/dl/](https://sqlitebrowser.org/dl/). 
> **DB Browser for SQLite** is a visual tool to create, edit, and 
> query **SQLite** databases. **SQLite** is included with **DB Browser 
> for SQLite**, so it does not have to be installed separately.
> * There are a few options for Windows, but most modern computers can use the `Standard installer for 64-bit Windows` version
>   * The `.zip (no installer)` version can be run directly from the folder, after extracting the contents of the zip file. It will not show up in the `Start` menu.
> 
> Launch **DB Browser for SQLite** to confirm that the installation was successful. 
{: .prereq}

> ## Am I ready? 
> 
> The [first lesson episode](/sql-ecology-lesson/00-sql-introduction/index.html) has instructions
> on loading the data in DB Browser. If you can follow the instructions under "Relational
> Databases" or "Import", everything should have downloaded and installed correctly. 
> 
{: .prereq}
